package net.moonleay.gimble

import net.moonleay.gimble.build.BuildConstants
import net.fabricmc.api.ModInitializer
import net.moonleay.gimble.networking.GimbleServer
import org.apache.logging.log4j.LogManager

internal object Main : ModInitializer {
    private val LOGGER = LogManager.getLogger(BuildConstants.modName)

    override fun onInitialize() {
        LOGGER.info("Initializing Gimble on the common side...")
        LOGGER.info("Registering packets...")
        GimbleServer.registerPacketHandler()
        LOGGER.info("Packets have been registered.")
        LOGGER.info("Gimble has been initialized on the common side.")
        LOGGER.info("${BuildConstants.modName} (${BuildConstants.modId}) v.${BuildConstants.modVersion} by moonleay")
    }
}
